stages:
  - test
  - build

image: openjdk:8-jdk-slim

before_script:
  - chmod +x mvnw

build:
  stage: build
  script:
    - ./mvnw -B install -DskipTests

unit:
  stage: test
  script:
    - ./mvnw -B test

e2e tests:
  stage: test
  script: ./mvnw -B test -Dtests.tags="e2e"
